IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[MEDWEB_GECMISTUMTETKIKLER]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE MEDWEB_GECMISTUMTETKIKLER
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MEDWEB_GECMISTUMTETKIKLER]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION  [dbo].[MEDWEB_GECMISTUMTETKIKLER]
GO

CREATE FUNCTION [dbo].[MEDWEB_GECMISTUMTETKIKLER](@HKIMLIKID int) 
RETURNS @retGecmisTetkikler TABLE 
(
	TETKIKTURADI nvarchar(50),
	ITEMADI nvarchar(150),
	HTETKIKID int,
	LTCKIMLIKNO nvarchar(25),
	LADISOYADI nvarchar(75),
	LDTARIHI datetime,
	LHYASI int,
	HCINSIYETI nvarchar(5),
	HDOSYAID nvarchar(50),
	LBOLUM nvarchar(50),
	LDOKTOR nvarchar(50),
	LUYGBOLUM nvarchar(50),
	LUYGDRADI nvarchar(50),
	UYGDRUNVAN nvarchar(50),
	UYGDRUZMANLIKADI nvarchar(100),
	HTETKIKKARTID INT,
	HKIMLIKID INT, 
	HTRAPORUVAR BIT,
	GIRISTARIH DATETIME
)
AS
BEGIN
	INSERT INTO @retGecmisTetkikler
	SELECT TETKIKTURADI, ITEMADI, HTETKIKID, LTCKIMLIKNO, LADISOYADI, LDTARIHI, LHYASI, HCINSIYETI, HDOSYAID, LBOLUM,
                 LDOKTOR, LUYGBOLUM, LUYGDRADI, UYGDRUNVAN, UYGDRUZMANLIKADI, HTETKIKKARTID, HKIMLIKID, CASE WHEN HTRAPORU IS NULL THEN 0 ELSE 1 END AS HTRAPORUVAR, GIRISTARIH 
	FROM VWTETKIK 
	WHERE HKIMLIKID = @HKIMLIKID AND DURUM = 2 AND WEBGORUNSUN = 1
	ORDER BY HTETKIKKARTID DESC, HTETKIKID DESC
    RETURN
END


